% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/irp_content_klh_hodgkins.R
\name{irp_content_klh_hodgkins}
\alias{irp_content_klh_hodgkins}
\title{Computes contents of Klason lignin and holocellulose of peat from mid infrared spectra}
\source{
\code{irp_content_klh_hodgkins} is a wrapper function to a script written by
Suzanne Hodgkins (\url{https://github.com/shodgkins/FTIRbaselines/blob/master/FTIRbaselines.R}).
and distributed under the GPL-3 (\url{https://www.gnu.org/licenses/gpl-3.0.html}) license.
The original script was modified for this purpose.
}
\usage{
irp_content_klh_hodgkins(x, export = NULL, verbose = FALSE, make_plots = FALSE)
}
\arguments{
\item{x}{An object of class \code{\link[ir:ir_new_ir]{ir}}.}

\item{export}{Either a valid path to an existing directory where to
store the results of the original script (see section "Source")
\code{irp_content_klh_hodgkins} is based on (if this output should be exported) or
\code{NULL} (if nothing should be exported). Note that \code{export} has to be
specified in order to analyze any issues with the data (e.g. high clay content)
that may confound the computed values. Refer to the original publication
(\insertCite{Hodgkins.2018}{ir}) to get information on the meaning of
the exported objects.}

\item{verbose}{A logical value indicating if messages should be printed
(\code{verbose = TRUE}) or not (\code{verbose = FALSE}).}

\item{make_plots}{logical value indicating if plots should be printed
(\code{make_plots = TRUE}) or not (\code{make_plots = FALSE}).}
}
\value{
An object of class \code{\link[ir:ir_new_ir]{ir}} with additional
columns containing the computed mass fractions of Klason lignin and
holocellulose for the spectra in \code{x}.
}
\description{
\code{irp_content_klh_hodgkins} computes the mass fraction of Klason lignin and
holocellulose in peat from mid infrared spectra of the peat samples. This
function may also work for organic matter in general. Note that the models
have been shown to be biased for peat samples
\insertCite{Teickner.2022a}{irpeat}.
}
\note{
Note that the models have been shown to be biased for peat samples
\insertCite{Teickner.2022a}{irpeat}.
}
\examples{
library(ir)

irp_content_klh_hodgkins(
  ir::ir_sample_data[1:5, ],
  export = NULL,
  verbose = TRUE,
  make_plots = FALSE
)

}
\references{
\insertAllCited{}
}
