% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/irp_klason_lignin_2.R
\name{irp_klason_lignin_2}
\alias{irp_klason_lignin_2}
\title{Predicts the Klason lignin content from mid infrared spectra}
\usage{
irp_klason_lignin_2(x, ..., do_summary = FALSE)
}
\arguments{
\item{x}{An object of class \code{\link[ir:ir_new_ir]{ir}}. Some tests
are applied to check if the supplied spectra match the spectra used to
fit the models (the spectral range is checked). The spectral resolution of
the original spectral data should not be smaller than 4 cm\eqn{^{-1}} and it
is not checked if this assumption is met.}

\item{...}{Additional arguments passed to
\code{\link[rstanarm:posterior_predict.stanreg]{rstanarm::posterior_predict.stanreg()}}.}

\item{do_summary}{A logical value indicating if the predicted values should
be returned in a summarized version (\code{TRUE}) or not (\code{FALSE}).
\itemize{
\item If \code{do_summary = FALSE}, a list column is returned and each
element of the list column is a numeric vector with draws from the
posterior distribution, including the residual variance of the model.
\item If \code{do_summary = TRUE}, each element is a
\code{\link[quantities:quantities]{quantities::quantities()}} object with the
\code{error} attribute being the standard deviation of the unsummarized
values.
}}
}
\value{
\code{x} with a new column "klason_lignin_2" with the predicted
Klason lignin contents [g/g].
}
\description{
\code{irp_klason_lignin_2} predicts the Klason lignin content from mid
infrared spectra for peat samples using the model
\link{model_klason_lignin_2}. This function may also work for organic matter
in general. Note that this is a preliminary model only which has not been
fully validated for peat samples yet and which has known limitations in
predicting contents for peat samples \insertCite{Teickner.2022a}{irpeat}.
}
\note{
Note that this is a preliminary model only which has not been fully
validated for peat samples yet and which has known limitations in predicting
contents for peat samples \insertCite{Teickner.2022a}{irpeat}.
}
\examples{
library(ir)

irp_klason_lignin_2(ir::ir_sample_data[1, ], do_summary = TRUE)

}
\references{
\insertAllCited{}
}
